Index: svn/src/mainboard/intel/xe7501devkit/Config.lb
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/Config.lb
+++ svn/src/mainboard/intel/xe7501devkit/Config.lb
@@ -14,17 +14,6 @@ if CONFIG_HAVE_PIRQ_TABLE 		object irq_t
 if CONFIG_HAVE_ACPI_TABLES 	object acpi_tables.o end
 object reset.o
 
-# Include the VGA option ROM, but only if we're compiled to use it
-if CONFIG_PCI_ROM_RUN
-	if CONFIG_CONSOLE_VGA	
-		object vgarom.S
-	else
-		object no_vgarom.S
-	end
-else
-	object no_vgarom.S
-end
-
 ##
 ## Romcc output
 ##
@@ -141,7 +130,6 @@ chip northbridge/intel/e7501
 			device pci 1e.0 on # Hub to PCI bridge
 				chip drivers/pci/onboard # VGA ROM
 					device pci 0.0 on end
-				register "rom_address" = "_vgarom_start"
 				end
 			end
 			device pci 1f.0 on # LPC bridge
Index: svn/src/mainboard/intel/xe7501devkit/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/devicetree.cb
+++ svn/src/mainboard/intel/xe7501devkit/devicetree.cb
@@ -27,7 +27,6 @@ chip northbridge/intel/e7501
 			device pci 1e.0 on # Hub to PCI bridge
 				chip drivers/pci/onboard # VGA ROM
 					device pci 0.0 on end
-				register "rom_address" = "_vgarom_start"
 				end
 			end
 			device pci 1f.0 on # LPC bridge
Index: svn/src/mainboard/intel/xe7501devkit/Makefile.inc
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/Makefile.inc
+++ svn/src/mainboard/intel/xe7501devkit/Makefile.inc
@@ -1,13 +1,4 @@
 ROMCCFLAGS := -mcpu=p4
 obj-$(CONFIG_HAVE_ACPI_TABLES) += acpi_tables.o
-ifeq ($(CONFIG_PCI_ROM_RUN),y)
-	ifeq ($(CONFIG_CONSOLE_VGA),y)
-		obj-y += vgarom.o
-	else
-		obj-y += no_vgarom.o
-	endif
-else
-	obj-y += no_vgarom.o
-endif
 include $(src)/mainboard/Makefile.romccboard.inc
 
Index: svn/src/mainboard/intel/xe7501devkit/chip.h
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/chip.h
+++ svn/src/mainboard/intel/xe7501devkit/chip.h
@@ -1,5 +1,3 @@
-extern unsigned char _vgarom_start[];
-
 extern struct chip_operations mainboard_ops;
 
 struct mainboard_config {
Index: svn/src/mainboard/intel/xe7501devkit/no_vgarom.S
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/no_vgarom.S
+++ /dev/null
@@ -1,6 +0,0 @@
-	.section .rodata.optionrom
-	.globl	_vgarom_start
-_vgarom_start:
-	.word 0xFFFF			// Invalid option ROM signature
-	.globl	_vgarom_end
-_vgarom_end:
Index: svn/src/mainboard/intel/xe7501devkit/vgarom.S
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/vgarom.S
+++ /dev/null
@@ -1,6 +0,0 @@
-	.section .rodata.optionrom
-	.globl	_vgarom_start
-_vgarom_start:
-	.incbin	"../../../../../src/mainboard/intel/xe7501devkit/vga.rom"
-	.globl	_vgarom_end
-_vgarom_end:
